Name:          apache-maven
Version:       3.8.6
Release:       1mamba
Summary:       Java project management and project comprehension tool
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://maven.apache.org/
Source:        https://downloads.apache.org/maven/maven-3/%{version}/source/apache-maven-%{version}-src.tar.gz
Source1:       https://downloads.apache.org/maven/maven-3/%{version}/binaries/apache-maven-%{version}-bin.tar.gz
Source9:       maven3-script
Source17:      maven3-jpp-script
License:       Apache Software License 2.0, BSD, MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: java-environment
BuildRequires: apache-ant
BuildRequires: javapackages
Requires:      javapackages
Requires:      java-environment
Provides:      maven = %{version}

%description
Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.

%prep
%setup -q -n apache-maven-%{version} -a1
#-D -T
#:<< _EOF
mv apache-maven-%{version} bootstrap

%build
#:<< _EOF
bootstrap/bin/mvn package \
   -Drat.ignoreErrors=true \
   -Dmaven.repo.local="${PWD}/repo" \
   -Dproject.build.sourceEncoding=UTF-8 -e

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#install -Dm 755 ../maven.sh -t "${pkgdir}/etc/profile.d"
#install -d "${pkgdir}/opt/maven"

bootstrap/bin/mvn install \
   -Drat.ignoreErrors=true \
   -Dmaven.repo.local="${PWD}/repo" \
   -Dproject.build.sourceEncoding=UTF-8 -e \
   -DdistributionTargetDir=%{buildroot}%{_javadir}/maven \
   -DskipTests -Dmaven.test.skip=true

install -d %{buildroot}%{_bindir}
ln -s ../share/java/maven/bin/mvn %{buildroot}%{_bindir}/mvn
ln -s ../share/java/maven/bin/mvnDebug %{buildroot}%{_bindir}/mvnDebug

rm -rf %{buildroot}%{_javadir}/maven/lib/jansi-native/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mvn
%{_bindir}/mvnDebug
%dir %{_javadir}/maven
%{_javadir}/maven/LICENSE
%{_javadir}/maven/NOTICE
%{_javadir}/maven/README.txt
%dir %{_javadir}/maven/bin
%{_javadir}/maven/bin/*
%dir %{_javadir}/maven/boot
%{_javadir}/maven/boot/*
%dir %{_javadir}/maven/conf
%{_javadir}/maven/conf/*
%dir %{_javadir}/maven/lib
%{_javadir}/maven/lib/*
%doc LICENSE

%changelog
* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 3.8.6-1mamba
- automatic version update by autodist

* Mon Mar 14 2022 Automatic Build System <autodist@mambasoft.it> 3.8.5-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Sat Aug 14 2021 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.1-1mamba
- update to 3.8.1

* Mon Nov 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.1-1mamba
- package created
